My Project

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions
| MainWindow (QWidget *parent=0)
| Constructor.
| ~MainWindow ()
| Destructor.
void | addBird (int x, int y, Bird &b)
| Paints a bird into the MainWindow. More...
void | addBird (Bird &b)
| Paints a bird into the MainWindow. More...

## Private Attributes
Ui::MainWindow * | ui
QGraphicsScene * | scene

## Member Function Documentation

void MainWindow::addBird | ( | int | x,
|  | int | y,
|  | Bird & | b
| ) |  |

Paints a bird into the MainWindow.

Parameters

  x | X coordinate of the Main Window
  y | Y coordinate of the Main Window
  b | Bird object to be painted

void MainWindow::addBird | ( | Bird & | b | ) |

Paints a bird into the MainWindow.

Parameters

  b | Bird object to be painted

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp